Повернення товару від покупця: методи API Bimp
Методи API Bimp для ресурсу «Повернення товару від покупця» (/org2/customer-inventories-return/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/customer-inventories-return/api-read | A request to obtain detailed information for a particular customer’s inventory returns |
POST /org2/customer-inventories-return/api-readList | A request to view a list of the customer’s inventory returns |
POST /org2/customer-inventories-return/api-create | A request to create a new customer inventory return |
POST /org2/customer-inventories-return/api-update | A request to update information for an existing customer inventory return |
POST /org2/customer-inventories-return/api-cancel | Cancel a customer return of inventories document |
api-read
POST /org2/customer-inventories-return/api-read
A request to obtain detailed information for a particular customer’s inventory returns
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for a return of inventories document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of inventories document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
name | string | |
comment | string | An optional text field for any additional notes or comments related to the document |
number | string | The number of the customer payment document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
counterparty | string (uuid) | A unique uuid key for a counterparty |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
responsible | string (uuid) | A unique uuid key for a responsible employee |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
currency | string (uuid) | A unique uuid key for a currency |
documentSum | number | Total amount of the document |
VATaccounted | boolean | Whether VAT is included |
VATamount | number | |
baseDocument | string (uuid) | A Sales invoice, on which Return of inventories is based |
products | object[] | |
products[].nomenclature | string (uuid) | A unique uuid key for a product nomenclature |
products[].name | string | Product name |
products[].count | number | A numerical value representing the quantity of the product |
products[].cost | number | A numerical value representing the cost of the product |
products[].sum | number | |
products[].reserve | number | |
products[].discount | number | The amount of discount |
products[].VAT | string (uuid) | A unique uuid key for a company VAT |
products[].VATamount | number | |
products[].party | string (uuid) | null | Party / batch UUID of the line |
products[].serialNumbers | string (uuid)[] | Serial number UUIDs of the line |
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/customer-inventories-return/api-readList
A request to view a list of the customer’s inventory returns
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
periodable | object[] | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’) |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for a return of inventories document |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].name | string | |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].number | string | The number of the customer payment document |
[].organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
[].counterparty | string (uuid) | A unique uuid key for a counterparty |
[].responsible | string (uuid) | A unique uuid key for a responsible employee |
[].currency | string (uuid) | A unique uuid key for a currency |
[].documentSum | number | Total amount of the document |
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/customer-inventories-return/api-create
A request to create a new customer inventory return
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
baseDocument | string (uuid) | так | A Sales invoice, on which Return of inventories is based |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The number of the customer payment document | |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
responsible | string (uuid) | A unique uuid key for a responsible employee | |
comment | string | An optional text field for any additional notes or comments related to the document | |
VATaccounted | boolean | Whether VAT is included | |
products | object[] | ||
products[].cost | number | так | A numerical value representing the cost of the product |
products[].count | number | так | A numerical value representing the quantity of the product |
products[].nomenclature | string (uuid) | так | A unique uuid key for a product nomenclature |
products[].VAT | string (uuid) | A unique uuid key for a company VAT | |
products[].party | string (uuid) | Party / batch UUID from the party catalog (column «Номер партії») | |
products[].serialNumbers | string (uuid)[] | Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count. |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of inventories document |
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"baseDocument":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/customer-inventories-return/api-update
A request to update information for an existing customer inventory return
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for a return of inventories document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The number of the customer payment document | |
warehouse | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request | |
responsible | string (uuid) | A unique uuid key for a responsible employee | |
comment | string | An optional text field for any additional notes or comments related to the document | |
VATaccounted | boolean | Whether VAT is included | |
baseDocument | string (uuid) | A Sales invoice, on which Return of inventories is based | |
products | object[] | ||
products[].cost | number | так | A numerical value representing the cost of the product |
products[].count | number | так | A numerical value representing the quantity of the product |
products[].nomenclature | string (uuid) | так | A unique uuid key for a product nomenclature |
products[].VAT | string (uuid) | A unique uuid key for a company VAT | |
products[].party | string (uuid) | Party / batch UUID from the party catalog (column «Номер партії») | |
products[].serialNumbers | string (uuid)[] | Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count. |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for a return of inventories document |
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-cancel
POST /org2/customer-inventories-return/api-cancel
Cancel a customer return of inventories document
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for the customer return of inventories document |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
success | boolean (true) |
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-cancel' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.